## gnuradio 3.10.0.0

=== CMakeLists.txt ===
# Copyright 2011-2021 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
    message(FATAL_ERROR "Prevented in-tree build. This is bad practice.")
endif(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})

########################################################################
# Project setup
########################################################################
# Make sure this version matches ${GR_CMAKE_MIN_VERSION} (a variable can't be
# used here).
cmake_minimum_required(VERSION 3.8)
project(gnuradio CXX C)
enable_testing()
option(BUILD_SHARED_LIBS "Build shared libraries" ON)

# Make sure our local CMake Modules path comes first
list(INSERT CMAKE_MODULE_PATH 0 ${CMAKE_SOURCE_DIR}/cmake/Modules)

include(GrBuildTypes)

# Select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   SET(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
GR_CHECK_BUILD_TYPE(${CMAKE_BUILD_TYPE})
SET(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")
message(STATUS "Build type set to ${CMAKE_BUILD_TYPE}.")

# Set the build date
string(TIMESTAMP BUILD_DATE "%a, %d %b %Y %H:%M:%SZ" UTC)
string(TIMESTAMP BUILD_DATE_SHORT "%Y-%m-%d" UTC)
message(STATUS "Build date set to ${BUILD_DATE}.")

include(GrComponent)

# Set the version information here
SET(VERSION_MAJOR 3)
SET(VERSION_API   10)
SET(VERSION_ABI   0)
SET(VERSION_PATCH 0)
include(GrVersion) #setup version info

#Set minimum version requirements
include(GrMinReq)

########################################################################
# Setup Boost for global use (within this build)
# Do this before enabling testing support, as it depends
# on unit_test_framework
########################################################################
include(GrBoost)
GR_REGISTER_COMPONENT("testing-support" ENABLE_TESTING
         Boost_UNIT_TEST_FRAMEWORK_FOUND )

# Enable generation of compile_commands.json for code completion engines
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# Set wiki block docs url prefix used in grc-docs.conf (block name gets appended to end of this string)
set(GRC_DOCS_URL_PREFIX "https://wiki.gnuradio.org/index.php/")



########################################################################
# Environment setup
########################################################################
IF(NOT DEFINED BOOST_ROOT)
    SET(BOOST_ROOT "${CMAKE_INSTALL_PREFIX}")
ENDIF()

########################################################################
# Import executables from a native build (for cross compiling)
# http://www.vtk.org/Wiki/CMake_Cross_Compiling#Using_executables_in_the_build_created_during_the_build
########################################################################
if(IMPORT_EXECUTABLES)
    include(${IMPORT_EXECUTABLES})
endif(IMPORT_EXECUTABLES)

#set file that the native build will fill with exports
SET(EXPORT_FILE ${CMAKE_BINARY_DIR}/ImportExecutables.cmake)
file(WRITE ${EXPORT_FILE}) #blank the file (subdirs will append)

########################################################################
# Incorporate CMake function/macros overloading.
########################################################################

include(CMakeOverloads)

########################################################################
# Compiler settings
########################################################################

include(GrCompilerSettings)

# Record Compiler Info for record
STRING(TOUPPER ${CMAKE_BUILD_TYPE} GRCBTU)
SET(COMPILER_INFO "")
IF(MSVC)
    IF(MSVC_VERSION LESS "${MSVC_MIN_VERSION}")
        MESSAGE(FATAL_ERROR "MSVC Versions < minimum version ${MSVC_MIN_VERSION}")
    ENDIF()
    SET(cmake_c_compiler_version ${MSVC_VERSION})
    SET(cmake_cxx_compiler_version ${MSVC_VERSION})
ELSE()
    execute_process(COMMAND ${CMAKE_C_COMPILER} --version
            OUTPUT_VARIABLE cmake_c_compiler_version)
    execute_process(COMMAND ${CMAKE_CXX_COMPILER} --version
            OUTPUT_VARIABLE cmake_cxx_compiler_version)
ENDIF(MSVC)
SET(COMPILER_INFO "${CMAKE_C_COMPILER}:::${CMAKE_C_FLAGS_${GRCBTU}} ${CMAKE_C_FLAGS}\n${CMAKE_CXX_COMPILER}:::${CMAKE_CXX_FLAGS_${GRCBTU}} ${CMAKE_CXX_FLAGS}\n" )

# Convert to a C string to compile and display properly
string(STRIP "${cmake_c_compiler_version}" cmake_c_compiler_version)
string(STRIP "${cmake_cxx_compiler_version}" cmake_cxx_compiler_version)
string(STRIP ${COMPILER_INFO} COMPILER_INFO)
MESSAGE(STATUS "Compiler Version: ${cmake_c_compiler_version}")
MESSAGE(STATUS "Compiler Flags: ${COMPILER_INFO}")
string(REPLACE "\n" " \\n" cmake_c_compiler_version ${cmake_c_compiler_version})
string(REPLACE "\n" " \\n" cmake_cxx_compiler_version ${cmake_cxx_compiler_version})
string(REPLACE "\n" " \\n" COMPILER_INFO ${COMPILER_INFO})

########################################################################
# Install directories
########################################################################
include(GrPlatform) #define LIB_SUFFIX

# Install our Cmake modules into $prefix/lib/cmake/gnuradio
# See "Package Configuration Files" on page:
#    http://www.cmake.org/Wiki/CMake/Tutorials/Packaging

if(NOT CMAKE_MODULES_DIR)
  SET(CMAKE_MODULES_DIR lib${LIB_SUFFIX}/cmake)
endif(NOT CMAKE_MODULES_DIR)

SET(GR_RUNTIME_DIR     bin CACHE PATH "Path to install all binaries")
SET(GR_LIBRARY_DIR     lib${LIB_SUFFIX} CACHE PATH "Path to install libraries")
SET(GR_INCLUDE_DIR     include CACHE PATH "Path to install header files")
SET(GR_CMAKE_DIR       ${CMAKE_MODULES_DIR}/gnuradio)
SET(GR_DATA_DIR        share CACHE PATH "Base location for data")
SET(GR_PKG_DATA_DIR    ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME} CACHE PATH "Path to install package data")
SET(GR_DOC_DIR         ${GR_DATA_DIR}/doc CACHE PATH "Path to install documentation")
SET(GR_PKG_DOC_DIR     ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME}-${DOCVER} CACHE PATH "Path to install package docs")
SET(GR_MAN_DIR         ${GR_DATA_DIR}/man CACHE PATH "Path to install man pages")
SET(GR_LIBEXEC_DIR     libexec CACHE PATH "Path to install libexec files")
SET(GR_PKG_LIBEXEC_DIR ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME} CACHE PATH "Path to install package libexec files")
SET(GRC_BLOCKS_DIR     ${GR_PKG_DATA_DIR}/grc/blocks CACHE PATH "Path to install GRC blocks")
SET(GR_THEMES_DIR      ${GR_PKG_DATA_DIR}/themes CACHE PATH "Path to install QTGUI themes")

# Set location of config/prefs files in /etc
# Special exception if prefix is /usr so we don't make a /usr/etc.
SET(GR_CONF_DIR etc CACHE PATH "Path to install config files")
string(COMPARE EQUAL "${CMAKE_INSTALL_PREFIX}" "/usr" isusr)
if(isusr)
  SET(SYSCONFDIR "/${GR_CONF_DIR}" CACHE PATH "System configuration directory")
else(isusr)
  SET(SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/${GR_CONF_DIR}" CACHE PATH "System configuration directory" FORCE)
endif(isusr)

SET(GR_PKG_CONF_DIR ${SYSCONFDIR}/${CMAKE_PROJECT_NAME}/conf.d CACHE PATH "Path to install package configs")
SET(GR_PREFSDIR     ${SYSCONFDIR}/${CMAKE_PROJECT_NAME}/conf.d CACHE PATH "Path to install preference files")

OPTION(ENABLE_PERFORMANCE_COUNTERS "Enable block performance counters" ON)
if(ENABLE_PERFORMANCE_COUNTERS)
  message(STATUS "ADDING PERF COUNTERS")
  SET(GR_PERFORMANCE_COUNTERS True)
else(ENABLE_PERFORMANCE_COUNTERS)
  SET(GR_PERFORMANCE_COUNTERS False)
  message(STATUS "NO PERF COUNTERS")
endif(ENABLE_PERFORMANCE_COUNTERS)

########################################################################
# Variables replaced when configuring the package config files
########################################################################
file(TO_CMAKE_PATH "${CMAKE_INSTALL_PREFIX}"           prefix)
file(TO_CMAKE_PATH "\${prefix}"                        exec_prefix)
file(TO_CMAKE_PATH "\${exec_prefix}/${GR_LIBRARY_DIR}" libdir)
file(TO_CMAKE_PATH "\${prefix}/${GR_INCLUDE_DIR}"      includedir)
file(TO_CMAKE_PATH "${SYSCONFDIR}"                     SYSCONFDIR)
file(TO_CMAKE_PATH "${GR_PREFSDIR}"                    GR_PREFSDIR)

if(WIN32)
    file(RELATIVE_PATH prefix_relative_to_lib "${prefix}/${GR_RUNTIME_DIR}" "${prefix}")
else(WIN32)
    file(RELATIVE_PATH prefix_relative_to_lib "${prefix}/${GR_LIBRARY_DIR}" "${prefix}")
endif(WIN32)
file(RELATIVE_PATH SYSCONFDIR_relative_to_prefix "${prefix}" "${SYSCONFDIR}")
file(RELATIVE_PATH GR_PREFSDIR_relative_to_prefix "${prefix}" "${GR_PREFSDIR}")

########################################################################
# On Apple only, set install name and use rpath correctly, if not already set
########################################################################
if(APPLE)
    if(NOT CMAKE_INSTALL_NAME_DIR)
        SET(CMAKE_INSTALL_NAME_DIR
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install Name Destination Directory" FORCE)
    endif(NOT CMAKE_INSTALL_NAME_DIR)
    if(NOT CMAKE_INSTALL_RPATH)
        SET(CMAKE_INSTALL_RPATH
            ${CMAKE_INSTALL_PREFIX}/${GR_LIBRARY_DIR} CACHE
            PATH "Library Install RPath" FORCE)
    endif(NOT CMAKE_INSTALL_RPATH)
    if(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
        SET(CMAKE_BUILD_WITH_INSTALL_RPATH ON CACHE
            BOOL "Do Build Using Library Install RPath" FORCE)
    endif(NOT CMAKE_BUILD_WITH_INSTALL_RPATH)
endif(APPLE)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Enable python component
########################################################################
include(GrPython)
GR_PYTHON_CHECK_MODULE_RAW(
    "packaging"
    "import packaging"
    PACKAGING_FOUND
)
if(NOT PACKAGING_FOUND)
    message(STATUS "")
    message(STATUS "***************************** WARNING!!! *******")
    message(STATUS "The python package packaging is missing")
    message(STATUS "So some checks will fail")
    message(STATUS "Please install python3-packaging")
    message(STATUS "or run pip3 install packaging")
    message(STATUS "************************************************")
endif()
GR_PYTHON_CHECK_MODULE(
    "numpy"
    numpy
    "LooseVersion(numpy.__version__) >= LooseVersion('${GR_NUMPY_MIN_VERSION}')"
    NUMPY_FOUND)
# Needed for automatic regeneration of some bindings
GR_PYTHON_CHECK_MODULE(
    "pygccxml"
    pygccxml
    "LooseVersion(pygccxml.__version__) >= LooseVersion('${GR_PYGCCXML_MIN_VERSION}')"
    PYGCCXML_FOUND
    )
if(NOT PYGCCXML_FOUND)
    message(STATUS "")
    message(STATUS "***************************** WARNING!!! *************************")
    message(STATUS "pygccxml is highly recommended for using gr_modtool")
    message(STATUS "and is either not present or below the minimum version " ${GR_PYGCCXML_MIN_VERSION})
    message(STATUS "Only trivial bindings will be generated using gr_modtool bind ")
    message(STATUS "******************************************************************")
endif()

find_package(pybind11)
IF(pybind11_FOUND)
IF(${pybind11_VERSION} VERSION_LESS ${PYBIND11_MIN_VERSION})
    message(WARNING "pybind11 version ${pybind11_VERSION} < ${PYBIND11_MIN_VERSION}")
    set(pybind11_FOUND False)
ENDIF()
ENDIF()

include(GrComponent)
GR_REGISTER_COMPONENT("python-support" ENABLE_PYTHON
    PYTHONLIBS_FOUND
    PACKAGING_FOUND
    pybind11_FOUND
    NUMPY_FOUND
)

if(${CMAKE_BUILD_TYPE} STREQUAL "Coverage")
  include(CodeCoverage)
  setup_target_for_coverage(coverage "ctest || exit 0" coverage)
endif()

=== gr-blocks/CMakeLists.txt ===
# Copyright 2012,2020 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup dependencies
########################################################################
include(GrBoost)

find_package(SNDFILE)

if(NOT SNDFILE_FOUND)
    message(STATUS "")
    message(STATUS "********************* WARNING!!! *********************")
    message(STATUS "libsndfile1-dev is required to compile wavfile blocks.")
    message(STATUS "Wav File Sink and Source blocks will not be available.")
    message(STATUS "******************************************************")
endif()

########################################################################
# Register component
########################################################################
include(GrComponent)
GR_REGISTER_COMPONENT("gr-blocks" ENABLE_GR_BLOCKS
    Boost_FOUND
    ENABLE_GNURADIO_RUNTIME
)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_GR_BLOCKS)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/gnuradio/blocks)
add_subdirectory(lib)
#if(ENABLE_TESTING)
#  add_subdirectory(tests)
#endif(ENABLE_TESTING)
if(ENABLE_PYTHON)
     add_subdirectory(python/blocks)
     add_subdirectory(docs)
     if(ENABLE_EXAMPLES)
         add_subdirectory(examples)
     endif(ENABLE_EXAMPLES)
endif(ENABLE_PYTHON)
if(ENABLE_GRC)
    add_subdirectory(grc)
endif(ENABLE_GRC)

########################################################################
# Create Pkg Config File
########################################################################
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-blocks.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-blocks.pc
@ONLY)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-blocks.pc
    DESTINATION ${GR_LIBRARY_DIR}/pkgconfig
)

endif(ENABLE_GR_BLOCKS)

=== gr-iio/CMakeLists.txt ===
# Copyright 2021 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup dependencies
########################################################################
include(GrBoost)

find_package(libiio)
find_package(libad9361)

set(GR_IIO_DEPENDENCIES
  Boost_FOUND
  ENABLE_GNURADIO_RUNTIME
  ENABLE_GR_BLOCKS
  libiio_FOUND)

########################################################################
# Register component
########################################################################
include(GrComponent)
GR_REGISTER_COMPONENT("gr-iio" ENABLE_GR_IIO ${GR_IIO_DEPENDENCIES})

if(libad9361_FOUND)
  # Sadly, libad9361 is not reliably versioned (yet?).
  # Especially Fedora ships an incompatible early version of the ad9361.h header
  # Let's check whether things compile.
  set(OLD_CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES})
  set(OLD_CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES})
  set(CMAKE_REQUIRED_INCLUDES ${libad9361_INCLUDE_DIRS})
  set(CMAKE_REQUIRED_LIBRARIES ${libad9361_LIBRARIES})
  CHECK_CXX_SOURCE_COMPILES("
    #include <ad9361.h>
    namespace testing
    {
      auto test_ad9361_multichip_sync = &::ad9361_multichip_sync;
      auto test_ad9361_set_bb_rate_custom_filter_manual = &::ad9361_set_bb_rate_custom_filter_manual;
    };
    int main() {}"
    libad9361_SUFFICIENT)
  if(libad9361_SUFFICIENT)
    GR_APPEND_SUBCOMPONENT("libad9361")
  endif()
  set(CMAKE_REQUIRED_INCLUDES ${OLD_CMAKE_REQUIRED_INCLUDES})
  set(CMAKE_REQUIRED_LIBRARIES ${OLD_CMAKE_REQUIRED_LIBRARIES})
endif()

SET(GR_PKG_IIO_EXAMPLES_DIR ${GR_PKG_DATA_DIR}/examples/iio)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_GR_IIO)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/gnuradio/iio)
add_subdirectory(lib)
if(ENABLE_PYTHON)
    add_subdirectory(python/iio)
    add_subdirectory(examples)
endif(ENABLE_PYTHON)
if(ENABLE_GRC)
    add_subdirectory(grc)
endif(ENABLE_GRC)

########################################################################
# Create Pkg Config File
########################################################################
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-iio.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-iio.pc
@ONLY)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-iio.pc
    DESTINATION ${GR_LIBRARY_DIR}/pkgconfig
)

endif(ENABLE_GR_IIO)

=== gr-pdu/CMakeLists.txt ===
# Copyright 2021 Jacob Gilbert
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup dependencies
########################################################################
include(GrBoost)

########################################################################
# Register component
########################################################################
include(GrComponent)
GR_REGISTER_COMPONENT("gr-pdu" ENABLE_GR_PDU
    Boost_FOUND
    ENABLE_GNURADIO_RUNTIME
    ENABLE_GR_BLOCKS
    ENABLE_GR_FILTER
    )

SET(GR_PKG_PDU_EXAMPLES_DIR ${GR_PKG_DATA_DIR}/examples/pdu)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_GR_PDU)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/gnuradio/pdu)
add_subdirectory(lib)
if(ENABLE_PYTHON)
    add_subdirectory(python/pdu)
    if(ENABLE_EXAMPLES)
        add_subdirectory(examples)
    endif(ENABLE_EXAMPLES)
endif(ENABLE_PYTHON)
if(ENABLE_GRC)
    add_subdirectory(grc)
endif(ENABLE_GRC)

########################################################################
# Create Pkg Config File
########################################################################
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-pdu.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-pdu.pc
@ONLY)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-pdu.pc
    DESTINATION ${GR_LIBRARY_DIR}/pkgconfig
)

endif(ENABLE_GR_PDU)

=== gr-blocks/docs/CMakeLists.txt ===
# Copyright 2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

install(
    FILES README.blocks
    DESTINATION ${GR_PKG_DOC_DIR}
)

=== gr-blocks/examples/CMakeLists.txt ===
# Copyright 2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

install(
  FILES
  matrix_interleaver.grc
  matrix_multiplexer.grc
  peak_detector2.grc
  py_snippets_demo.grc
  selector.grc
  stream_mux_demo.grc
  stream_demux_demo.grc
  vector_source_with_tags.grc
  msg_to_var.grc
  var_to_msg.grc
  DESTINATION ${GR_PKG_DATA_DIR}/examples/blocks
)

add_subdirectory(metadata)
add_subdirectory(tags)

if(ENABLE_GR_CTRLPORT)
add_subdirectory(ctrlport)
endif(ENABLE_GR_CTRLPORT)

=== gr-blocks/lib/CMakeLists.txt ===
# Copyright 2012-2014,2018-2019 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup compatibility checks and defines
########################################################################
include(GrMiscUtils)
GR_CHECK_HDR_N_DEF(io.h HAVE_IO_H)

########################################################################
# Setup library
########################################################################
set(BLOCKS_SOURCES
    abs_blk_impl.cc
    add_blk_impl.cc
    add_const_v_impl.cc
    and_blk_impl.cc
    and_const_impl.cc
    argmax_impl.cc
    correctiq_auto_impl.cc
    correctiq_impl.cc
    correctiq_man_impl.cc
    correctiq_swapiq_impl.cc
    divide_impl.cc
    integrate_impl.cc
    max_blk_impl.cc
    min_blk_impl.cc
    moving_average_impl.cc
    multiply_const_impl.cc
    multiply_impl.cc
    mute_impl.cc
    not_blk_impl.cc
    packed_to_unpacked_impl.cc
    peak_detector_impl.cc
    phase_shift_impl.cc
    probe_signal_impl.cc
    probe_signal_v_impl.cc
    sample_and_hold_impl.cc
    selector_impl.cc
    sub_impl.cc
    tsb_vector_sink_impl.cc
    unpacked_to_packed_impl.cc
    vector_insert_impl.cc
    vector_sink_impl.cc
    vector_source_impl.cc
    xor_blk_impl.cc
    or_blk_impl.cc
    control_loop.cc
    count_bits.cc
    file_sink_base.cc
    pack_k_bits.cc
    unpack_k_bits.cc
    add_const_bb_impl.cc
    add_const_ss_impl.cc
    add_const_ii_impl.cc
    add_const_ff_impl.cc
    add_const_cc_impl.cc
    annotator_1to1_impl.cc
    annotator_alltoall_impl.cc
    annotator_raw_impl.cc
    burst_tagger_impl.cc
    char_to_float_impl.cc
    char_to_short_impl.cc
    check_lfsr_32k_s_impl.cc
    complex_to_interleaved_char_impl.cc
    complex_to_interleaved_short_impl.cc
    complex_to_float_impl.cc
    complex_to_magphase_impl.cc
    complex_to_real_impl.cc
    complex_to_imag_impl.cc
    complex_to_mag_impl.cc
    complex_to_mag_squared_impl.cc
    complex_to_arg_impl.cc
    conjugate_cc_impl.cc
    copy_impl.cc
    deinterleave_impl.cc
    delay_impl.cc
    endian_swap_impl.cc
    exponentiate_const_cci_impl.cc
    file_descriptor_sink_impl.cc
    file_descriptor_source_impl.cc
    file_sink_impl.cc
    file_source_impl.cc
    file_meta_sink_impl.cc
    file_meta_source_impl.cc
    float_to_char_impl.cc
    float_to_complex_impl.cc
    magphase_to_complex_impl.cc
    float_array_to_int.cc
    float_to_int_impl.cc
    float_to_short_impl.cc
    float_array_to_uchar.cc
    float_to_uchar_impl.cc
    head_impl.cc
    int_to_float_impl.cc
    interleave_impl.cc
    interleaved_short_to_complex_impl.cc
    interleaved_char_to_complex_impl.cc
    keep_m_in_n_impl.cc
    keep_one_in_n_impl.cc
    lfsr_32k_source_s_impl.cc
    message_debug_impl.cc
    message_strobe_impl.cc
    message_strobe_random_impl.cc
    multiply_conjugate_cc_impl.cc
    multiply_const_v_impl.cc
    multiply_matrix_impl.cc
    multiply_by_tag_value_cc_impl.cc
    nlog10_ff_impl.cc
    nop_impl.cc
    null_sink_impl.cc
    null_source_impl.cc
    pack_k_bits_bb_impl.cc
    patterned_interleaver_impl.cc
    tag_debug_impl.cc
    peak_detector2_fb_impl.cc
    plateau_detector_fb_impl.cc
    probe_rate_impl.cc
    regenerate_bb_impl.cc
    repack_bits_bb_impl.cc
    repeat_impl.cc
    rms_cf_impl.cc
    rms_ff_impl.cc
    rotator_cc_impl.cc
    short_to_char_impl.cc
    short_to_float_impl.cc
    skiphead_impl.cc
    stream_demux_impl.cc
    stream_mux_impl.cc
    stream_to_streams_impl.cc
    stream_to_tagged_stream_impl.cc
    stream_to_vector_impl.cc
    streams_to_stream_impl.cc
    streams_to_vector_impl.cc
    stretch_ff_impl.cc
    tag_share_impl.cc
    tagged_file_sink_impl.cc
    tagged_stream_multiply_length_impl.cc
    tags_strobe_impl.cc
    test_tag_variable_rate_ff_impl.cc
    threshold_ff_impl.cc
    throttle_impl.cc
    transcendental_impl.cc
    tag_gate_impl.cc
    tagged_stream_align_impl.cc
    tagged_stream_mux_impl.cc
    uchar_array_to_float.cc
    uchar_to_float_impl.cc
    unpack_k_bits_bb_impl.cc
    vco_f_impl.cc
    vco_c_impl.cc
    vector_map_impl.cc
    vector_to_stream_impl.cc
    vector_to_streams_impl.cc
    )

if (SNDFILE_FOUND)
    set(BLOCKS_SOURCES ${BLOCKS_SOURCES}
        wavfile_sink_impl.cc
        wavfile_source_impl.cc
    )
endif()

add_library(gnuradio-blocks ${BLOCKS_SOURCES})

set(BLOCKS_LIBS
    gnuradio-runtime
    Volk::volk
    )

if (SNDFILE_FOUND)
    set(BLOCKS_LIBS ${BLOCKS_LIBS}
        sndfile::sndfile
    )
endif()

if(ENABLE_COMMON_PCH)
  set(PRIVATE_LIBS common-precompiled-headers)
endif()

target_link_libraries(gnuradio-blocks
  PUBLIC
  ${BLOCKS_LIBS}
  PRIVATE
  ${PRIVATE_LIBS}
  )

target_include_directories(gnuradio-blocks
  PUBLIC
  $<INSTALL_INTERFACE:include>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>
  )

set_source_files_properties(file_source_impl.cc PROPERTIES COMPILE_FLAGS -D_FILE_OFFSET_BITS=64)

if(ENABLE_GR_CTRLPORT)
target_sources(gnuradio-blocks PRIVATE
  ctrlport_probe_c_impl.cc
  ctrlport_probe2_c_impl.cc
  ctrlport_probe2_f_impl.cc
  ctrlport_probe2_s_impl.cc
  ctrlport_probe2_i_impl.cc
  ctrlport_probe2_b_impl.cc
)
endif()

#Add Windows DLL resource file if using MSVC
IF(MSVC)
    include(${CMAKE_SOURCE_DIR}/cmake/Modules/GrVersion.cmake)

    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-blocks.rc.in
        ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-blocks.rc
    @ONLY)

    target_sources(gnuradio-blocks PRIVATE
        ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-blocks.rc
    )
ENDIF(MSVC)

if(BUILD_SHARED_LIBS)
    if (SNDFILE_FOUND)
        GR_LIBRARY_FOO(gnuradio-blocks SNDFILE)
    else()
        GR_LIBRARY_FOO(gnuradio-blocks)
    endif()
endif()

########################################################################
# QA C++ Code for gr-blocks
########################################################################
if(ENABLE_TESTING)
  include(GrTest)

  list(APPEND test_gr_blocks_sources
    qa_block_tags.cc
    qa_gr_block.cc
    qa_gr_flowgraph.cc
    qa_gr_hier_block2.cc
    qa_gr_hier_block2_derived.cc
    qa_gr_top_block.cc
    qa_rotator.cc
    qa_set_msg_handler.cc
  )
  list(APPEND GR_TEST_TARGET_DEPS gnuradio-blocks
  )

  foreach(qa_file ${test_gr_blocks_sources})
    GR_ADD_CPP_TEST("blocks_${qa_file}"
      ${CMAKE_CURRENT_SOURCE_DIR}/${qa_file}
    )
  endforeach(qa_file)

endif(ENABLE_TESTING)

=== gr-digital/grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

file(GLOB yml_files "*.yml")
install(FILES ${yml_files}
    DESTINATION ${GRC_BLOCKS_DIR}
)

=== gr-dtv/examples/CMakeLists.txt ===
# Copyright 2014-2015 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

include(GrPython)

GR_PYTHON_INSTALL(
    PROGRAMS
    atsc_ctrlport_monitor.py
    DESTINATION ${GR_PKG_DTV_EXAMPLES_DIR}
)

install(
    FILES
    catv_tx_256qam.grc
    catv_tx_64qam.grc
    dvbs2_tx.grc
    dvbs_tx.grc
    dvbt_rx_8k.grc
    dvbt_tx_2k.grc
    dvbt_tx_8k.grc
    file_atsc_rx.grc
    file_atsc_tx.grc
    germany-g10.grc
    germany-g1.grc
    germany-g2.grc
    germany-g3.grc
    germany-g4.grc
    germany-g5.grc
    germany-g6.grc
    germany-g7.grc
    germany-g8.grc
    germany-g9.grc
    README.atsc
    README.catv
    README.dvbs
    README.dvbs2
    README.dvbt
    README.dvbt2
    uhd_atsc_capture.grc
    uhd_atsc_tx.grc
    uhd_atsc_rx.grc
    vv001-cr35.grc
    vv003-cr23.grc
    vv004-8kfft.grc
    vv005-8kfft.grc
    vv007-16kfft.grc
    vv008-16kfft.grc
    vv009-4kfft.grc
    vv010-2kfft.grc
    vv011-1kfft.grc
    vv012-64qam45.grc
    vv013-64qam56.grc
    vv014-64qam34.grc
    vv015-8kfft.grc
    vv016-256qam34.grc
    vv017-paprtr.grc
    vv018-miso.grc
    vv019-norot.grc
    vv034-dtg016.grc
    vv035-dtg052.grc
    vv036-dtg091.grc
    DESTINATION ${GR_PKG_DTV_EXAMPLES_DIR}
)

=== gr-pdu/docs/CMakeLists.txt ===
# Copyright 2021 Jacob Gilbert
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

install(
    FILES README.pdu
    DESTINATION ${GR_PKG_DOC_DIR}
)

=== gr-pdu/lib/CMakeLists.txt ===
# Copyright 2021 Jacob Gilbert
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

########################################################################
# Setup library
########################################################################
add_library(gnuradio-pdu
    add_system_time_impl.cc
    pdu_filter_impl.cc
    pdu_remove_impl.cc
    pdu_set_impl.cc
    pdu_split_impl.cc
    pdu_to_stream_impl.cc
    pdu_to_tagged_stream_impl.cc
    random_pdu_impl.cc
    tags_to_pdu_impl.cc
    tagged_stream_to_pdu_impl.cc
    take_skip_to_pdu_impl.cc
    time_delta_impl.cc
)

#Add Windows DLL resource file if using MSVC
if(MSVC)
    include(${CMAKE_SOURCE_DIR}/cmake/Modules/GrVersion.cmake)

    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-pdu.rc.in
        ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-pdu.rc
    @ONLY)

    target_sources(gnuradio-pdu PRIVATE
        ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-pdu.rc
    )
endif(MSVC)

target_link_libraries(gnuradio-pdu PUBLIC
    gnuradio-runtime
    gnuradio-blocks
    gnuradio-filter
)

if(ENABLE_COMMON_PCH)
  target_link_libraries(gnuradio-pdu PRIVATE common-precompiled-headers)
endif()

target_include_directories(gnuradio-pdu
  PUBLIC $<INSTALL_INTERFACE:include>
  PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>
  )


# we need -no-as-needed or else -lgslcblas gets stripped out on newer version of gcc
if(CMAKE_COMPILER_IS_GNUCC AND NOT APPLE)
    SET_TARGET_PROPERTIES(gnuradio-pdu PROPERTIES LINK_FLAGS "-Wl,--no-as-needed")
endif()

if(BUILD_SHARED_LIBS)
  GR_LIBRARY_FOO(gnuradio-pdu)
endif()

=== gr-trellis/docs/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# SPDX-License-Identifier: GPL-3.0-or-later
#

include(GrPython)

########################################################################
# Generate HTML doc with xmlto
########################################################################
find_program(XMLTO_EXECUTABLE xmlto)

if(XMLTO_EXECUTABLE)
add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/gr-trellis.html
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/gr-trellis.xml
    COMMAND ${XMLTO_EXECUTABLE} html-nochunks
        ${CMAKE_CURRENT_SOURCE_DIR}/gr-trellis.xml
)
add_custom_target(gr_trellis_html ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/gr-trellis.html)
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/gr-trellis.html
    DESTINATION ${GR_PKG_DOC_DIR}/html

)
endif(XMLTO_EXECUTABLE)

########################################################################
# Generate xml doc
########################################################################
add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/test_tcm.py.xml
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/test_tcm.py
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/make_numbered_listing.py
    COMMAND ${PYTHON_EXECUTABLE}
        ${CMAKE_CURRENT_SOURCE_DIR}/make_numbered_listing.py
        ${CMAKE_CURRENT_SOURCE_DIR}/test_tcm.py
)

add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/test_viterbi_equalization1.py.xml
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/test_viterbi_equalization1.py
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/make_numbered_listing.py
    COMMAND ${PYTHON_EXECUTABLE}
        ${CMAKE_CURRENT_SOURCE_DIR}/make_numbered_listing.py
        ${CMAKE_CURRENT_SOURCE_DIR}/test_viterbi_equalization1.py
)

add_custom_target(gr_trellis_xml ALL DEPENDS
    ${CMAKE_CURRENT_BINARY_DIR}/test_tcm.py.xml
    ${CMAKE_CURRENT_BINARY_DIR}/test_viterbi_equalization1.py.xml
)
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/test_tcm.py.xml
    ${CMAKE_CURRENT_BINARY_DIR}/test_viterbi_equalization1.py.xml
    DESTINATION ${GR_PKG_DOC_DIR}/xml
)

=== debian/changelog ===
gnuradio (3.10.0.0-3) unstable; urgency=medium

  * add gnuradio{,-dev}: Breaks+Replaces: gr-iio (Closes: #1001597)
  * use available libunwind-dev build-depends architectures (Closes: #1000792)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 16 Jan 2022 20:12:51 -0500

gnuradio (3.10.0.0-2) unstable; urgency=medium

  * Handle optional thrift.conf.example in debian/rules

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 16 Jan 2022 18:40:10 -0500

gnuradio (3.10.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 15 Jan 2022 10:48:06 -0500

gnuradio (3.10.0.0~rc2-2) experimental; urgency=medium

  * use realistic build-depends architectures with libunwind-dev

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 11 Dec 2021 13:50:49 -0500

gnuradio (3.10.0.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 11 Dec 2021 10:46:04 -0500

gnuradio (3.10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate
  * Upload to experimental for new soversion library names

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 27 Nov 2021 21:27:03 -0500

=== debian/control ===
Source: gnuradio
Section: comm
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake (>= 3.16.3),
               debhelper-compat (= 13),
               dh-python,
               doxygen,
	       gir1.2-gtk-3.0,
	       gir1.2-pango-1.0,
	       graphviz,
	       libad9361-dev,
               libasound2-dev,
               libboost-date-time-dev,
               libboost-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libcodec2-dev,
               libcppunit-dev (>=1.9.14),
               libfftw3-dev,
               libfontconfig1-dev,
	       libgmp-dev,
               libgsl-dev (>= 2.0),
               libgsm1-dev,
               libiio-dev,
               libjack-jackd2-dev,
	       libjs-mathjax,
               libpulse-dev,
	       libqt5opengl5-dev,
	       libqt5svg5-dev,
	       libqwt-qt5-dev,
               libsdl1.2-dev,
               libsndfile1-dev,
	       libsoapysdr-dev,
	       libthrift-dev (>= 0.13.0-5) [amd64 arm64 armel armhf i386],
               libuhd-dev (>= 4),
	       libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mipsel mips64el powerpc ppc64 ppc64el sh4],
               libusb-1.0-0-dev [!kfreebsd-any],
               libusb2-dev [kfreebsd-any],
	       libvolk2-dev (>= 2.4.1),
               libxi-dev,
               libxrender-dev,
               libzmq3-dev [!hurd-i386] | libzmq-dev [!hurd-i386],
	       ninja-build,
               pkg-config,
               portaudio19-dev,
	       pybind11-dev,
	       python3-click,
	       python3-click-plugins,
               python3-dev,
	       python3-gi,
	       python3-gi-cairo,
               python3-lxml,
               python3-mako,
               python3-numpy,
               python3-opengl,
	       python3-pyqt5 [!hurd-i386],
               python3-scipy,
               python3-sphinx,
	       python3-thrift [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el riscv64 s390x],
	       python3-yaml,
               python3-zmq [!hurd-i386],
	       qt5-qmake,
	       qtbase5-dev,
	       qttools5-dev,
	       libspdlog-dev,
	       thrift-compiler [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el riscv64 s390x],
               xmlto
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.gnuradio.org/
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-gnuradio
Vcs-Git: https://salsa.debian.org/bottoms/pkg-gnuradio.git

Package: gnuradio
Architecture: any
Depends: libjs-mathjax,
	 libvolk2-bin,
	 python3-click,
	 python3-click-plugins,
	 python3-gi,
	 python3-gi-cairo,
         python3-lxml,
         python3-mako,
	 python3-numpy,
         python3-opengl,
	 python3-packaging,
	 python3-pygccxml,
	 python3-pyqt5 [!hurd-i386],
	 python3-pyqtgraph,
         python3-sip,
	 python3-thrift [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el riscv64 s390x],
	 python3-yaml,
         python3-zmq [!hurd-i386],
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: gnuradio-dev,
	    python3-pygccxml (>= 2.0),
            python3-matplotlib,
	    python3-networkx,
            python3-pyqt5.qwt,
            python3-scipy,
	    soapysdr-tools
Suggests: gr-fosphor, gr-osmosdr, gqrx-sdr, rtl-sdr, uhd-host
Breaks: gr-soapy, gr-iio
Replaces: gr-soapy, gr-iio
Multi-Arch: foreign
Description: GNU Radio Software Radio Toolkit
 GNU Radio provides signal processing blocks to implement software
 radios. It can be used with readily-available low-cost external RF
 hardware to create software-defined radios, or without hardware in a
 simulation-like environment. It is widely used in hobbyist, academic
 and commercial environments to support both wireless communications
 research and real-world radio systems.
 .
 GNU Radio applications are primarily written using the Python
 programming language, while the supplied performance-critical signal
 processing path is implemented in C++ using processor floating-point
 extensions, where available. Thus, the developer is able to implement
 real-time, high-throughput radio systems in a simple-to-use,
 rapid-application-development environment.
 .
 While not primarily a simulation tool, GNU Radio does support
 development of signal processing algorithms using pre-recorded or
 generated data, avoiding the need for actual RF hardware.
 .
 This package contains the gnuradio-companion, a graphical tool for
 creating signal flow graphs and generating flow-graph source code.
 Also included are a variety of tools and utility programs.

Package: gnuradio-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: GNU Software Defined Radio toolkit documentation
 Documentation for the GNU Radio software defined radio system
 in html and xml form.
 .
 Part of the main gnuradio build.

Package: gnuradio-dev
Section: libdevel
Architecture: any
Breaks: gr-iio
Replaces: gr-iio
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: gnuradio (>= ${binary:Version}),
         libboost-date-time${boost-version}-dev,
         libboost-filesystem${boost-version}-dev,
         libboost-program-options${boost-version}-dev,
         libboost-regex${boost-version}-dev,
         libboost-system${boost-version}-dev,
         libboost-test${boost-version}-dev,
         libboost-thread${boost-version}-dev,
         libcppunit-dev,
         libfftw3-dev,
         libgmp-dev,
         libgsm1-dev,
         liblog4cpp5-dev,
         libvolk2-dev,
	 pybind11-dev,
         python3-dev,
	 libthrift-dev [amd64 arm64 armel armhf i386],
         ${misc:Depends}
Suggests: cmake, qtbase5-dev, libqwt-qt5-dev, pkg-config
Description: GNU Software Defined Radio toolkit development
 Header files for the GNU Radio software defined radio system.
 Since GNU Radio is a framework for development of SDR
 applications, you are likely to need this installed.
 .
 Part of the main gnuradio build.

Package: libgnuradio-analog3.10.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio analog functions
 Library for handling analog signal processing functions.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-audio3.10.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio audio functions
 This is the gr-audio library, used to connect to audio sources
 (mic-in) and sinks (speaker-out) ports on a computer. The underlying
 hardware driver is system and OS dependent and this module should
 automatically discover the correct one to use.  Part of the main
 gnuradio build.

Package: libgnuradio-blocks3.10.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio blocks functions
 Some non-signal processing blocks.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-channels3.10.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio channels functions
 Some channel oriented processing blocks.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-digital3.10.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio digital communications functions
 All the functions for doing digital modulation and demodulation,
 including bpsk, qpsk, gmsk and ofdm signals.
 Part of the main gnuradio build.

Package: libgnuradio-dtv3.10.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio digital TV signal processing blocks
 ATSC support, gr-atsc ported to a new framework, as well as
 DVB-S2, DVB-T, DVB-T2 digital video broadcast standards.
 Part of the main gnuradio build.

Package: libgnuradio-fec3.10.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio forward error correction support
 Handle forward error correction processing in gnuradio.
 Implements the GNU Radio FEC API, supporting encoders and
 decoders for no-op dummmy, repetition, and convolutional classes.
 Part of the main gnuradio build.

Package: libgnuradio-fft3.10.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio fast Fourier transform functions
 Library for Fourier transform techniques used in gnuradio.
 Uses single precision FFT from libfftw3-single3.
 Part of the main gnuradio build.

Package: libgnuradio-filter3.10.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio filter functions
 Library of filter blocks used in gnuradio. Implements
 FIR, IIR and FFT filters, as well as Polyphase filterbank and
 PFB arbitrary resampler methods.
 Part of the main gnuradio build.

Package: libgnuradio-iio3.10.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: IIO blocks for GnuRadio
 Libiio is a library that has been conceived to ease the development of
 applications interfacing Industrial Input/Output (IIO) devices through
 the IIO subsystem of the Linux kernel.
 .
 The IIO blocks for GnuRadio can be used to create flowgraphs that interface
 IIO devices through libiio.
 .
 Part of the main gnuradio build.

Package: libgnuradio-network3.10.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio network library
 Library of  blocks that implement UDP and TCP source and
 sink blocks supporting both IPv4 and IPv6.
 Part of the main gnuradio build.

Package: libgnuradio-pdu3.10.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio streaming protocol library
 Protocol Data Units library provides signal processing
 blocks that operate on Protocol Data Unit format messages. Many
 such blocks are analogs of streaming API functionality.
 Part of the main gnuradio build.

Package: libgnuradio-pmt3.10.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio pmt container library
 Polymorphic Types are opaque data types that are designed as generic
 containers of data that can be safely passed around between blocks
 and threads in GNU Radio.
 Part of the main gnuradio build.

Package: libgnuradio-qtgui3.10.0
Section: libs
Architecture: kfreebsd-any linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio Qt graphical user interface functions
 QT-based graphical sinks for gnuradio applications.
 Implements opengl, raster and native plotting methods, and
 supports a QT Style Sheet (QSS) file to adjust the look.
 Part of the main gnuradio build.

Package: libgnuradio-runtime3.10.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: gnuradio core runtime
 Top level component library. Defines core blocks. Handles
 settings for logging, performance counters, and control port.
 Part of the main gnuradio build.

Package: libgnuradio-soapy3.10.0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@ --with python3 --with numpy3 --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
#	dh_auto_configure -- -DENABLE_INTERNAL_VOLK=OFF -DPYTHON_EXECUTABLE="/usr/bin/python3" -DCMAKE_BUILD_TYPE=Release

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_auto_install:
	rm -rf debian/tmp/usr/share/doc/gnuradio-doc/xml/License.xml.gz
	dh_auto_install
	rm -f  debian/gnuradio/usr/share/doc/gnuradio/html/*md5
	rm -f  debian/gnuradio-doc/usr/share/doc/gnuradio-doc/html/*md5
	if [ -f debian/tmp/usr/share/doc/gnuradio*/config/thrift.conf.example ] ; then \
	 install -d debian/gnuradio/usr/share/doc/gnuradio/config &&\
	 mv debian/tmp/usr/share/doc/gnuradio*/config/* debian/gnuradio/usr/share/doc/gnuradio/config/ ; fi

override_dh_auto_test:
	mkdir debian/test
	mkdir debian/test/.gnuradio
	- if case "$(DEB_BUILD_ARCH)" in *"i386"*) false;; *) true;; esac; then ARGS='--timeout 10' HOME=$(CURDIR)/debian/test dh_auto_test ; fi
	rm -rf debian/test

override_dh_acc:
	- dh_acc $@
	- cat logs/gnuradio-dev/*/log.txt

override_dh_installmime:
	dh_installmime
	rm -f debian/gnuradio/usr/share/mime/packages/gnuradio.xml

override_dh_gencontrol:
	dh_gencontrol -- -Vboost-version=`dpkg-query -W -f='$${Depends}' libboost-date-time-dev| cut -b19- |cut -b-4`
